# spec originally for RHEL from: http://www.natemccallum.com/uploads/rpms/bzr/

Name:           qbzr
Version:        0.14.4
Release:        %mkrel 1
Summary:        QBzr is a cross-platform GUI front end for Bazaar, based on Qt toolkit

Group:          Development/Other
License:        GPL
URL:            http://bazaar-vcs.org/QBzr
Source0:        https://launchpad.net/%{name}/stable/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)

BuildArch:      noarch
BuildRequires:  python-devel bzr python-qt4
Requires:       python >= 2.4
Requires:       bzr >= 1.9
Requires:	python-qt4
Requires:	python-enchant
Requires:	python-pygments

%description
QBzr is a collection of GUI plugins for Bazaar.  Among the included
plugins are:
    * qadd -- GUI for adding files or directories
    * qannotate -- GUI interface for file annotation
    * qbrowse -- Browse your branch a-la Trac Browse Source
    * qcat -- View the contents of a file as of a given revision
    * qcommit -- GUI interface to enter log message and select changes to commit
    * qconfig -- Bazaar configuration
    * qdiff -- Side-by-side and unidiff view of changes.
    * qinfo -- information about branch
    * qinit -- Initialize new branch or shared repository
    * qlog -- Show log messages in GUI window.
    * qmerge -- Perform a three-way merge
    * qpull -- GUI interface for pull command
    * qpush -- GUI interface for push command
    * qrevert -- Revert changed files
    * qtag -- Edit tags 

%prep
%setup -q -n %{name}


%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT 
# remove shebangs from all files as none should be executable scripts
sed -e '/^#!\//,1 d' -i $RPM_BUILD_ROOT/%py_puresitedir/bzrlib/plugins/qbzr/*.py


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%dir %py_puresitedir/bzrlib/plugins/qbzr
%py_puresitedir/bzrlib/plugins/qbzr/*.py
%py_puresitedir/bzrlib/plugins/qbzr/*.pyc

%dir %py_puresitedir/bzrlib/plugins/qbzr/lib
%py_puresitedir/bzrlib/plugins/qbzr/lib/*.py
%py_puresitedir/bzrlib/plugins/qbzr/lib/*.pyc

%dir %py_puresitedir/bzrlib/plugins/qbzr/lib/tests
%py_puresitedir/bzrlib/plugins/qbzr/lib/tests/*.py
%py_puresitedir/bzrlib/plugins/qbzr/lib/tests/*.pyc

%dir %py_puresitedir/bzrlib/plugins/qbzr/lib/extra
%py_puresitedir/bzrlib/plugins/qbzr/lib/extra/*.py
%py_puresitedir/bzrlib/plugins/qbzr/lib/extra/*.pyc

%dir %py_puresitedir/bzrlib/plugins/qbzr/locale
%py_puresitedir/bzrlib/plugins/qbzr/locale/*

%py_puresitedir/bzrlib/plugins/qbzr/*.txt

%py_puresitedir/qbzr*.egg-info


%changelog
* Sat Oct 17 2009 Crispin Boylan <crisb@mandriva.org> 0.14.4-1mdv2010.0
+ Revision: 458000
- New release

* Fri Sep 18 2009 Crispin Boylan <crisb@mandriva.org> 0.14.2-1mdv2010.0
+ Revision: 444264
- New release

* Mon Sep 14 2009 Crispin Boylan <crisb@mandriva.org> 0.14.1-1mdv2010.0
+ Revision: 439697
- New release

* Sat Aug 22 2009 Crispin Boylan <crisb@mandriva.org> 0.14-1mdv2010.0
+ Revision: 419732
- New release

* Wed Aug 12 2009 Crispin Boylan <crisb@mandriva.org> 0.13.1-1mdv2010.0
+ Revision: 415323
- New release

* Mon Jul 13 2009 Crispin Boylan <crisb@mandriva.org> 0.12-1mdv2010.0
+ Revision: 395437
- New release

* Fri Jun 12 2009 Crispin Boylan <crisb@mandriva.org> 0.11-1mdv2010.0
+ Revision: 385383
- New release

* Tue Jun 02 2009 Crispin Boylan <crisb@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 382309
- New release

* Thu Apr 30 2009 Crispin Boylan <crisb@mandriva.org> 0.9.9-1mdv2010.0
+ Revision: 369184
- New release

* Sat Feb 14 2009 Crispin Boylan <crisb@mandriva.org> 0.9.8-1mdv2009.1
+ Revision: 340239
- New release

* Wed Feb 11 2009 Crispin Boylan <crisb@mandriva.org> 0.9.7-1mdv2009.1
+ Revision: 339607
- New release

* Sat Jan 10 2009 Crispin Boylan <crisb@mandriva.org> 0.9.6-1mdv2009.1
+ Revision: 328060
- Add bin
- Use proper file list
- New version

* Fri Dec 26 2008 Crispin Boylan <crisb@mandriva.org> 0.9.5-2mdv2009.1
+ Revision: 319455
- Rebuild for python2.6

* Fri Nov 07 2008 Crispin Boylan <crisb@mandriva.org> 0.9.5-1mdv2009.1
+ Revision: 300448
- Fix summary
- Initial mandriva package
- create qbzr

